commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gary D. Gregory (Jira)" <j...@apache.org>
Subject [jira] [Resolved] (VFS-686) Upgrade Jackrabbit dependency to the latest 2.x
Date Thu, 17 Oct 2019 15:45:00 GMT

     [ https://issues.apache.org/jira/browse/VFS-686?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Gary D. Gregory resolved VFS-686.
---------------------------------
    Fix Version/s: 2.5.0
       Resolution: Fixed

In git master. Please verify and close.

> Upgrade Jackrabbit dependency to the latest 2.x
> -----------------------------------------------
>
>                 Key: VFS-686
>                 URL: https://issues.apache.org/jira/browse/VFS-686
>             Project: Commons VFS
>          Issue Type: Improvement
>    Affects Versions: 2.2
>            Reporter: Woonsan Ko
>            Priority: Major
>              Labels: pull-request-available
>             Fix For: 2.5.0
>
>         Attachments: feature-VFS-686-2.patch, feature-VFS-686-3.patch, feature-VFS-686-4.patch,
feature-VFS-686-5.patch, feature-VFS-686-6.patch, feature-VFS-686.patch
>
>          Time Spent: 20m
>  Remaining Estimate: 0h
>
> The current dependency, Jackrabbit 1.6.5, still depends on HttpClient 3.x, while Jackrabbit
2.x depends on HttpClient 4.x.
> So, WebDAV file system provider should use the latest stable version of Jackrabbit 2.x.
> As of VFS-360, it is possible to let the WebDAV file system use HttpComponents 4.x.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message